# SpeciesEvolutionCondition | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesEvolutionCondition

- Defined in src/data/balance/pokemon-evolutions.ts:141

##### Index

### Constructors

constructor

### Properties

description
enforceFunc?
predicate

## Constructors

### constructor

- new SpeciesEvolutionCondition(
  predicate: EvolutionConditionPredicate ,
  enforceFunc?: EvolutionConditionEnforceFunc ,
  ): SpeciesEvolutionCondition

  #### Parameters

  - predicate: EvolutionConditionPredicate
  - `Optional` enforceFunc: EvolutionConditionEnforceFunc

  #### Returns SpeciesEvolutionCondition

  - Defined in src/data/balance/pokemon-evolutions.ts:146

## Properties

### description

description: string

- Defined in src/data/balance/pokemon-evolutions.ts:144

### `Optional` enforceFunc

enforceFunc?: EvolutionConditionEnforceFunc

- Defined in src/data/balance/pokemon-evolutions.ts:143

### predicate

predicate: EvolutionConditionPredicate

- Defined in src/data/balance/pokemon-evolutions.ts:142